DECLARE
  invc invoice%ROWTYPE;
BEGIN
  SELECT *
  INTO invc
  FROM invoice
  WHERE c_no                           = '&c_no_prompt'
  AND p_name                           = '&p_name_prompt'
  AND TO_CHAR(invoice_dt, 'DD-MON-YY') = '&invoice_dt_prompt';
  dbms_output.put_line(invc.c_name || ' - ' || invc.p_name || ' - ' || invc.total_prc);
EXCEPTION
WHEN no_data_found THEN
  dbms_output.put_line('Error: The invoice does not exist!');
END;